=== debian/changelog ===
git-annex (6.20161118-1) unstable; urgency=medium

  * Package 6.20161118-1

 -- Richard Hartmann <richih@debian.org>  Fri, 18 Nov 2016 17:37:25 +0100

git-annex (6.20161118) unstable; urgency=medium

  * git-annex.cabal: Loosen bounds on persistent to allow 2.5, which
    on Debian has been patched to work with esqueleto.
    This may break cabal's resolver on non-Debian systems;
    if so, either use stack to build, or run cabal with 
    --constraint='persistent ==2.2.4.1'
    Hopefully this mess with esqueleto will be resolved soon.
  * sync: Pass --allow-unrelated-histories to git merge when used with git
    git 2.9.0 or newer. This makes merging a remote into a freshly created
    direct mode repository work the same as it works in indirect mode.
  * Avoid backtraces on expected failures when built with ghc 8;
    only use backtraces for unexpected errors.
  * fsck --all --from was checking the existence and content of files
    in the local repository, rather than on the special remote. Oops.
  * Linux arm standalone: Build with a 32kb page size, which is needed
    on several ARM NAS devices, including Drobo 5N, and WD NAS.

 -- Joey Hess <id@joeyh.name>  Fri, 18 Nov 2016 11:43:14 -0400

git-annex (6.20161111-1) unstable; urgency=medium

  * Package 6.20161111-1

 -- Richard Hartmann <richih@debian.org>  Wed, 16 Nov 2016 19:39:39 +0100

git-annex (6.20161111) unstable; urgency=medium

  * Restarting a crashing git process could result in filename encoding
    issues when not in a unicode locale, as the restarted processes's
    handles were not read in raw mode.
  * Make .git/annex/ssh.config file work with versions of ssh older than
    7.3, which don't support Include. When used with an older version
    of ssh, any ServerAliveInterval in ~/.ssh/config will be overridden
    by .git/annex/ssh.config.
  * S3: Support the special case endpoint needed for the cn-north-1 region.
  * Webapp: Don't list the Frankfurt S3 region, as this (and some other new
    regions) need V4 authorization which the aws library does not yet use.
  * reinject --known: Avoid second, unncessary checksum of file.
  * OSX: Remove RPATHs from git-annex binary, which are not needed,
    slow down startup, and break the OSX Sierra linker.
  * webapp: Explicitly avoid checking for auth in static subsite
    requests. Yesod didn't used to do auth checks for that, but this may
    have changed.
  * Linux standalone: Avoid using hard links in the tarball so it can be
    untarred on eg, afs which does not support them.

 -- Joey Hess <id@joeyh.name>  Fri, 11 Nov 2016 14:46:39 -0400

git-annex (6.20161031-1) unstable; urgency=medium

  * Package 6.20161031-1
  * Update cabal dependency on persistent Closes: #842572

 -- Richard Hartmann <richih@debian.org>  Sun, 06 Nov 2016 19:22:02 +0100

git-annex (6.20161031) unstable; urgency=medium

  * Assistant, repair: Fix ignoring of git fsck errors due to
    duplicate file entries in tree objects.
  * Linux standalone: Fix location of locale files in the bundle.
  * Fix reversion in 6.20161012 that prevented adding files with a space
    in their name.

 -- Joey Hess <id@joeyh.name>  Mon, 31 Oct 2016 18:55:59 -0400

git-annex (6.20161027-1) unstable; urgency=medium

  * Package 6.20161027-1

 -- Richard Hartmann <richih@debian.org>  Thu, 27 Oct 2016 21:53:55 +0200

git-annex (6.20161027) unstable; urgency=medium

  * lock, smudge: Fix edge cases where data loss could occur in v6 mode
    when the keys database was not populated.
  * upgrade: Handle upgrade to v6 when the repository already contains
    v6 unlocked files whose content is already present.
  * Improve style of offline html build of website.
  * importfeed: Drop URL parameters from file extension.
    Thanks, James MacMahon.
  * Assistant, repair: Improved filtering out of git fsck lines about
    duplicate file entries in tree objects.
  * test: Deal with gpg-agent behavior change that broke the test suite.
  * Improve ssh socket cleanup code to skip over the cruft that
    NFS sometimes puts in a directory when a file is being deleted.
  * If a transfer fails for some reason, but some data managed to be sent,
    the transfer will be retried. (The assistant already did this.)
  * Run ssh with ServerAliveInterval 60, so that stalled transfers will
    be noticed within about 3 minutes.
    (Any setting in your ~/.ssh/config or /etc/ssh/ssh_config 
    overrides this.)

 -- Joey Hess <id@joeyh.name>  Thu, 27 Oct 2016 15:21:58 -0400
