=== debian/changelog ===
git-annex (6.20170818-1) unstable; urgency=high

  * Package 6.20170818-1

 -- Richard Hartmann <richih@debian.org>  Sun, 20 Aug 2017 12:25:57 +0200

git-annex (6.20170818) unstable; urgency=high

  * Security fix: Disallow hostname starting with a dash, which
    would get passed to ssh and be treated an option. This could
    be used by an attacker who provides a crafted repository url
    to cause the victim to execute arbitrary code via -oProxyCommand.
    (The same class of security hole recently affected git itself.)
  * git-annex.cabal: Deal with breaking changes in Cabal 2.0.
  * Fix build with QuickCheck 2.10.
  * fsck: Support --json.
  * move, copy: Support --batch.
  * Added GIT_ANNEX_VECTOR_CLOCK environment variable, which can be used to
    override the default timestamps used in log files in the git-annex
    branch. This is a dangerous environment variable; use with caution.
  * Fix a git-annex test failure when run on NFS due to NFS lock files
    preventing directory removal.
  * test: Avoid most situations involving failure to delete test
    directories, by forking a worker process and only deleting the test
    directory once it exits.
  * Disable http-client's default 30 second response timeout when HEADing
    an url to check if it exists. Some web servers take quite a long time
    to answer a HEAD request.
  * Added remote configuration settings annex-ignore-command and
    annex-sync-command, which are dynamic equivilants of the annex-ignore
    and annex-sync configurations.
  * Prevent spaces from being embedded in the name of new WORM keys,
    as that handing spaces in keys would complicate things like the
    external special remote protocol.
  * migrate: WORM keys containing spaces will be migrated to not contain
    spaces anymore.
  * External special remotes will refuse to operate on keys with spaces in
    their names. That has never worked correctly due to the design of the
    external special remote protocol. Display an error message suggesting
    migration.
  * Fix incorrect external special remote documentation, which said that
    the filename parameter to the TRANSFER command could not contain
    spaces. It can in fact contain spaces. Special remotes implementors
    that relied on that may need to fix bugs in their special remotes.
  * Fix the external special remotes git-annex-remote-ipfs, 
    git-annex-remote-torrent and the example.sh template to correctly
    support filenames with spaces.
  * Windows: Win32 package has subsumed Win32-extras; update dependency.

 -- Joey Hess <id@joeyh.name>  Fri, 18 Aug 2017 11:19:06 -0400

git-annex (6.20170520) unstable; urgency=medium

  * move --to=here moves from all reachable remotes to the local repository.
  * initremote, enableremote: Support gpg subkeys suffixed with an
    exclamation mark, which forces gpg to use a specific subkey.
  * Improve progress display when watching file size, in cases where
    a transfer does not resume.
  * Fix transfer log file locking problem when running concurrent
    transfers.
  * Avoid concurrent git-config setting problem when running concurrent
    threads.
  * metadata: When setting metadata of a file that did not exist,
    no error message was displayed, unlike getting metadata and most other
    git-annex commands. Fixed this oversight.
  * Added annex.resolvemerge configuration, which can be set to false to 
    disable the usual automatic merge conflict resolution done by git-annex
    sync and the assistant.
  * sync: Added --no-resolvemerge option.
  * Avoid error about git-annex-shell not being found when
    syncing with -J with a git remote where git-annex-shell is not
    installed.
  * Fix bug that prevented transfer locks from working when
    run on SMB or other filesystem that does not support fcntl locks
    and hard links.
  * assistant: Merge changes from refs/remotes/foo/master into master.
    Previously, only sync branches were merged. This makes regular git push
    into a repository watched by the assistant auto-merge.
  * Makefile: Install completions for the fish and zsh shells
    when git-annex is built with optparse-applicative-0.14.
  * assistant: Don't trust OSX FSEvents's eventFlagItemModified to be called
    when the last writer of a file closes it; apparently that sometimes
    does not happen, which prevented files from being quickly added.

 -- Joey Hess <id@joeyh.name>  Mon, 12 Jun 2017 13:37:16 -0400

git-annex (6.20170519) unstable; urgency=medium

  * Ssh password prompting improved when using -J for concurrency.
    When ssh connection caching is enabled (and when GIT_ANNEX_USE_GIT_SSH
    is not set), only one ssh password prompt will be made per host, and
    only one ssh password prompt will be made at a time.
  * When built with concurrent-output 1.9, ssh password prompts will no
    longer interfere with the -J display.
  * Removed dependency on MissingH, instead depending on the split library.
  * Progress is displayed for transfers of files of unknown size.
  * Work around bug in git 2.13.0 involving GIT_COMMON_DIR that broke
    merging changes into adjusted branches.

 -- Joey Hess <id@joeyh.name>  Fri, 19 May 2017 10:37:57 -0400

git-annex (6.20170510) unstable; urgency=medium

  * When a http remote does not expose an annex.uuid config, only warn
    about it once, not every time git-annex is run.
  * multicast: New command, uses uftp to multicast annexed files, for eg
    a classroom setting.
  * Added remote.<name>.annex-push and remote.<name>.annex-pull
    which can be useful to make remotes that don't get fully synced with
    local changes.
  * Disable git-annex's support for GIT_SSH and GIT_SSH_COMMAND, unless
    GIT_ANNEX_USE_GIT_SSH=1 is also set in the environment. This is
    necessary because as feared, the extra -n parameter that git-annex
    passes breaks uses of these environment variables that expect exactly
    the parameters that git passes.
